<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\DozentenInfo\SammelEMail;

abstract class SammelEMailController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getRequestObj()
  {
    $requestObj = new SammelEMailRequest();
    $requestObj->dozNummern = \RequestOperations::getVarValue('dozenten', array());
    $requestObj->referer = \GetOperations::getVarValue('referer');
    $requestObj->refererLabel = \GetOperations::getVarValue('refererLabel');

    return $requestObj;
  }
}